SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   OS (UNIX)  >   Solaris Vendors:   Sun
Solaris libnsl or TLI/XTI API Race Condition Lets Local Users Deny Service
SecurityTracker Alert ID:  1016706
SecurityTracker URL:  http://securitytracker.com/id/1016706
CVE Reference:   CVE-2006-4303   (Links to External Site)
Updated:  Jun 5 2008
Original Entry Date:  Aug 17 2006
Impact:   Denial of service via local system
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 10
Description:   A vulnerability was reported in Solaris. A local user can cause denial of service conditions.

A local user can exploit a race condition to potentially cause listener programs for databases or other network-based applications that use the libnsl(3LIB) or TLI/XTI APIs to stop responding.

Solaris 8 and 9 are not affected.

Impact:   A local user can cause denial of service conditions on the target system.
Solution:   The vendor has issued the following fix.

SPARC Platform

* Solaris 10 with patch 118833-24 or later

x86 Platform

* Solaris 10 with patch 118855-20 or later

The Sun advisory is available at:

http://sunsolve.sun.com/search/document.do?assetkey=1-26-102576-1

Vendor URL:  sunsolve.sun.com/search/document.do?assetkey=1-26-102576-1 (Links to External Site)
Cause:   State error

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC